/**************************************************************************
 *
 * Copyright (c) 2014 MediaTek Inc. All Rights Reserved.
 * --------------------
 * This software is protected by copyright and the information contained
 * herein is confidential. The software may not be copied and the information
 * contained herein may not be used or disclosed except with the written
 * permission of MediaTek Inc.
 *
 ***************************************************************************/

precision mediump float;

/* Material uniforms */
uniform sampler2D u_m_diffuseTexture;
uniform vec4 u_m_diffuseColour;
uniform float u_m_opacity;
uniform float u_m_percent;
uniform float u_m_width;
uniform float u_m_height;
uniform vec3 u_m_colour;

varying vec2 v_texcoord;      // Adjusted texture coordinate

void main() {
    gl_FragColor = u_m_diffuseColour * texture2D(u_m_diffuseTexture, v_texcoord );
	if(u_m_percent > 0.0) {
	    float cutP = 1.0 - ((u_m_width / 2.8) / u_m_height);
	    vec2 uv = v_texcoord;
	    uv -= vec2(0.5, 1.0 - u_m_percent * cutP);
	    uv.x *= u_m_width;
	    uv.y *= u_m_height;
	    float dist = sqrt(dot(uv, uv));
		if ((dist < u_m_width / 2.0) || u_m_percent * cutP > (1.0 - v_texcoord.y)) {
	    	gl_FragColor.rgb = u_m_colour;
	    }
    }
    gl_FragColor.a *= u_m_opacity;
}
