/**************************************************************************
 *
 * Copyright (c) 2014 MediaTek Inc. All Rights Reserved.
 * --------------------
 * This software is protected by copyright and the information contained
 * herein is confidential. The software may not be copied and the information
 * contained herein may not be used or disclosed except with the written
 * permission of MediaTek Inc.
 *
 ***************************************************************************/

precision mediump float;

/* Material uniforms */
uniform sampler2D u_m_diffuseTexture;
uniform sampler2D u_m_dataInfo;
uniform sampler2D u_m_freqTexture;
uniform vec4 u_m_diffuseColour;
uniform float u_m_opacity;
uniform float u_m_offset;
uniform float u_m_y_percent;
uniform vec3 u_m_colour;

varying vec2 v_texcoord;      // Adjusted texture coordinate
const float Pi = 3.14159265358979323436;

void main() {
    gl_FragColor = u_m_diffuseColour * texture2D( u_m_diffuseTexture, v_texcoord );

    float value = mod(v_texcoord.x + u_m_offset, 1.0) ;
    vec4 color = texture2D( u_m_dataInfo, vec2(value, 0.0) ) * u_m_y_percent;
    if ((1.0 - color.g) < v_texcoord.y) {
    	gl_FragColor.rgb = u_m_colour;
    	if ((v_texcoord.y - 0.03) >= (1.0 - color.g)) {
    		/*if ((0.9 > v_texcoord.x && v_texcoord.x > 0.1) &&
    			sin(v_texcoord.x * Pi * 17.0) > 0.96) {
        		gl_FragColor.a = 0.2;
        	} else {
        		gl_FragColor.rgb *= 0.4;
        	}*/
        	gl_FragColor.rgb *= 0.4;
        } else {
        	gl_FragColor.a = 1.0;
        }
    }

    // draw freq String
    vec4 freq = texture2D(u_m_freqTexture, v_texcoord);
    gl_FragColor.rgb = mix(gl_FragColor.rgb, freq.rgb, freq.a);

    gl_FragColor.a *= u_m_opacity;
}
